JACK-AUDIO-CONNECTION-KIT: __attribute__ Struct Reference

# __attribute__ Struct Reference

`#include <transport.h>`

## Data Fields
jack_unique_t | unique_1
jack_time_t | usecs
jack_nframes_t | frame_rate
jack_nframes_t | frame
jack_position_bits_t | valid
int32_t | bar
int32_t | beat
int32_t | tick
double | bar_start_tick
float | beats_per_bar
float | beat_type
double | ticks_per_beat
double | beats_per_minute
double | frame_time
double | next_time
jack_nframes_t | bbt_offset
float | audio_frames_per_video_frame
jack_nframes_t | video_offset
int32_t | padding [7]
jack_unique_t | unique_2

## Detailed Description

Struct for transport position information.

## Field Documentation

jack_unique_t __attribute__::unique_1

unique ID

jack_time_t __attribute__::usecs

monotonic, free-rolling

jack_nframes_t __attribute__::frame_rate

current frame rate (per second)

jack_nframes_t __attribute__::frame

frame number, always present

jack_position_bits_t __attribute__::valid

which other fields are valid

int32_t __attribute__::bar

current bar

int32_t __attribute__::beat

current beat-within-bar

int32_t __attribute__::tick

current tick-within-beat

double __attribute__::bar_start_tick

float __attribute__::beats_per_bar

time signature "numerator"

float __attribute__::beat_type

time signature "denominator"

double __attribute__::ticks_per_beat

double __attribute__::beats_per_minute

double __attribute__::frame_time

current time in seconds

double __attribute__::next_time

next sequential frame_time (unless repositioned)

jack_nframes_t __attribute__::bbt_offset

frame offset for the BBT fields (the given bar, beat, and tick values actually refer to a time frame_offset frames before the start of the cycle), should be assumed to be 0 if JackBBTFrameOffset is not set. If JackBBTFrameOffset is set and this value is zero, the BBT time refers to the first frame of this cycle. If the value is positive, the BBT time refers to a frame that many frames before the start of the cycle.

float __attribute__::audio_frames_per_video_frame

number of audio frames per video frame. Should be assumed zero if JackAudioVideoRatio is not set. If JackAudioVideoRatio is set and the value is zero, no video data exists within the JACK graph

jack_nframes_t __attribute__::video_offset

audio frame at which the first video frame in this cycle occurs. Should be assumed to be 0 if JackVideoFrameOffset is not set. If JackVideoFrameOffset is set, but the value is zero, there is no video frame within this cycle.

int32_t __attribute__::padding[7]

jack_unique_t __attribute__::unique_2

unique ID

The documentation for this struct was generated from the following file:

- transport.h